osl::mobility::MobilityTable Class Reference

駒番号からMobilityContentを得る More...

`#include <mobilityTable.h>`

## Public Member Functions

| MobilityTable ()
| MobilityTable (SimpleState const &state)
void | set (Direction d, int num, Square pos)
const Square | get (Direction d, int num) const

## Private Attributes

CArray< MobilityContent, 8 > | table

## Friends

bool | operator== (const MobilityTable &mt1, const MobilityTable &mt2)

## Detailed Description

駒番号からMobilityContentを得る

Definition at line 51 of file mobilityTable.h.

## Constructor & Destructor Documentation

## MobilityTable() [1/2]

osl::mobility::MobilityTable::MobilityTable | ( |  | ) |

inline

Definition at line 59 of file mobilityTable.h.

Referenced by operator==.

## MobilityTable() [2/2]

osl::mobility::MobilityTable::MobilityTable | ( | osl::SimpleState const & | state | ) |

Definition at line 8 of file mobilityTable.cc.

References osl::Board_Table, osl::dirToMask(), osl::Piece::EDGE(), osl::inverse(), osl::Piece::isOnBoard(), osl::Piece::owner(), osl::SimpleState::pieceAt(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Ptype_Table, set(), osl::shortToLong(), osl::Piece::square(), and osl::WHITE.

## Member Function Documentation

## get()

const Square osl::mobility::MobilityTable::get | ( | Direction | d,
|  | int | num ) const

inline

Definition at line 65 of file mobilityTable.h.

References table.

Referenced by osl::mobility::operator<<(), and osl::mobility::operator==().

## set()

void osl::mobility::MobilityTable::set | ( | Direction | d,
|  | int | num,
|  | Square | pos )

inline

Definition at line 61 of file mobilityTable.h.

References table.

Referenced by MobilityTable().

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const MobilityTable & | mt1,
|  | const MobilityTable & | mt2 )

friend

References MobilityTable().

## Member Data Documentation

## table

CArray<MobilityContent,8> osl::mobility::MobilityTable::table

private

Definition at line 53 of file mobilityTable.h.

Referenced by get(), and set().

The documentation for this class was generated from the following files:

- mobilityTable.h
- mobilityTable.cc